
Tripnet - Certification Comments #101556
Create a check box for package rate
07/06/2020 04:31 pm - Sreerag Prasannan

Status: Fixed not Tested Start date: 07/07/2020
Priority: Normal Due date: 07/08/2020
Assignee: Jomiya J % Done: 100%
Category: Functionality Estimated time: 6.00 hours
Target version: V1 Spent time: 9.00 hours
DB Changes: nill Files Changed: ExpediaProvider/DescriptionService

B2Bweb/App_GlobalResources/CommonResources.ar.resx

B2Bweb/App_GlobalResources/CommonResources.Designer.cs

B2Bweb/App_GlobalResources/CommonResources.resx

CommonProjects/HotelDTOs/Responses/HotelCompleteAvailabilityResponseDTO.cs

B2Bweb/Areas/Search/Views/Hotel/RoomCombinationDetailsPartial.cshtml





B2Bweb/Areas/AdminWeb/Controllers/ReportsJsonController.cs

B2Bweb/Areas/Search/Controllers/HotelController.cs

B2Bweb/Areas/Search/Views/Hotel/HotelVoucher.cshtml

B2Bweb/Content/css/mystyleCalibri.css




Keys & Permissions: nill Initial Planned Hours: 6
Areas Affected: nill
Description

for each room in room details page , create a check box for accepting Package rates.

do not allow without selecting package rates, make sure we show this package rates if mode of amount displayed is package rates,
else no need to display this.

History
#1 - 07/07/2020 12:23 pm - jijo g
- Due date set to 07/08/2020
- Status changed from New to Assigned
- Assignee set to Jomiya J
- Target version set to V1
- Start date changed from 07/06/2020 to 07/07/2020
- Estimated time set to 6.00
- Initial Planned Hours changed from 0 to 6

#2 - 07/07/2020 02:10 pm - Jomiya J
- Status changed from Assigned to In Progress

#3 - 07/07/2020 08:06 pm - Jomiya J
- DB Changes set to nill
- Keys & Permissions set to nill
- Areas Affected set to nill
- Files Changed set to descriptionService

in provider side give one property and assign the value to that property and checked

#4 - 07/08/2020 07:36 pm - Jomiya J
- File packagerates.png added
- Status changed from In Progress to Fixed not Tested
- % Done changed from 0 to 100
- Files Changed changed from descriptionService to ExpediaProvider/DescriptionService
B2Bweb/App_GlobalResources/CommonResources.ar.resx
B2Bweb/App_GlobalResources/CommonResources.Designer.cs
B2Bweb/App_GlobalResources/CommonResources.resx
CommonProjects/HotelDTOs/Responses/HotelCompleteAvailabilityResponseDTO.cs
Completed

#5 - 07/08/2020 07:46 pm - Jomiya J
- Files Changed changed from ExpediaProvider/DescriptionService
B2Bweb/App_GlobalResources/CommonResources.ar.resx
B2Bweb/App_GlobalResources/CommonResources.Designer.cs
B2Bweb/App_GlobalResources/CommonResources.resx
CommonProjects/HotelDTOs/Responses/HotelCompleteAvailabilityResponseDTO.cs
 to ExpediaProvider/DescriptionService
B2Bweb/App_GlobalResources/CommonResources.ar.resx
B2Bweb/App_GlobalResources/CommonResources.Designer.cs
B2Bweb/App_GlobalResources/CommonResources.resx
CommonProjects/HotelDTOs/Responses/HotelCompleteAvailabilityResponseDTO.cs
B2Bweb/Areas/Search/Views/Hotel/RoomCombinationDetailsPartial.cshtml

#6 - 07/09/2020 12:24 pm - Jomiya J
- Files Changed changed from ExpediaProvider/DescriptionService
B2Bweb/App_GlobalResources/CommonResources.ar.resx
B2Bweb/App_GlobalResources/CommonResources.Designer.cs
B2Bweb/App_GlobalResources/CommonResources.resx
CommonProjects/HotelDTOs/Responses/HotelCompleteAvailabilityResponseDTO.cs
B2Bweb/Areas/Search/Views/Hotel/RoomCombinationDetailsPartial.cshtml

 to ExpediaProvider/DescriptionService
B2Bweb/App_GlobalResources/CommonResources.ar.resx
B2Bweb/App_GlobalResources/CommonResources.Designer.cs
B2Bweb/App_GlobalResources/CommonResources.resx
CommonProjects/HotelDTOs/Responses/HotelCompleteAvailabilityResponseDTO.cs
B2Bweb/Areas/Search/Views/Hotel/RoomCombinationDetailsPartial.cshtml

B2Bweb/Areas/AdminWeb/Controllers/ReportsJsonController.cs
B2Bweb/Areas/Search/Controllers/HotelController.cs
B2Bweb/Areas/Search/Views/Hotel/HotelVoucher.cshtml
B2Bweb/Content/css/mystyleCalibri.css

Also fix the design issue and tax and fees in voucher and mail issue

Files
Package rate.png 147 KB 07/06/2020 Sreerag Prasannan
packagerates.png 802 KB 07/08/2020 Jomiya J
